## fonts-cascadia-code 1911.21

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile requirements.in
#
-e git+https://github.com/daltonmaag/vttLib.git#egg=vttLib
appdirs==1.4.3            # via fs
attrs==19.1.0             # via fontmake, ufolib2
booleanoperations==0.8.2  # via fontmake, ufo2ft
compreffor==0.4.6.post1   # via ufo2ft
cu2qu==1.6.6              # via fontmake, ufo2ft
defcon[lxml]==0.6.0       # via fontmake, glyphslib, mutatormath, ufo2ft
fontmake==2.0.3
fontmath==0.5.0           # via fontmake, mutatormath
fonttools[lxml,ufo,unicode]==4.0.1  # via booleanoperations, compreffor, cu2qu, defcon, fontmake, fontmath, glyphslib, mutatormath, ufo2ft, ufolib2
fs==2.4.11                # via fonttools
glyphslib==5.0.1          # via fontmake
lxml==4.4.1               # via fonttools
mutatormath==2.1.2        # via fontmake
pyclipper==1.1.0.post1    # via booleanoperations
pyparsing==2.4.2
pytz==2019.2              # via fs
six==1.12.0               # via fs
ufo2ft==2.9.1             # via fontmake
ufolib2==0.4.0            # via fontmake
unicodedata2==12.0.0      # via fonttools

=== debian/changelog ===
fonts-cascadia-code (1911.21-1) unstable; urgency=medium

  * New upstream version 1911.21
  * Import a convenient copy of vttLib (git: dcbc6ba).
  * Reflect changes as upstream has changed the font builder.
  * Change installation path due to font type change (otf -> ttf).
  * Add copyright entry for the embedded copy of vttLib.
  * Update my mail address in control and copyright.
  * Bump Standards-Version to 4.5.0 (no change).
  * Add the missing python3 related build dependencies.
  * Specify Rules-Requires-Root: no.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Feb 2020 14:16:49 +0800

fonts-cascadia-code (1910.04-1) unstable; urgency=medium

  [ Gürkan Myczko ]
  * Initial release. (Closes: #940816)

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 10 Oct 2019 11:56:40 +0000

=== debian/control ===
Source: fonts-cascadia-code
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>,
           Mo Zhou <lumin@debian.org>,
Build-Depends: debhelper-compat (= 12), fontmake, python3, python3-pyparsing,
Standards-Version: 4.5.0
Homepage: https://github.com/microsoft/cascadia-code
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-cascadia-code
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-cascadia-code.git
Rules-Requires-Root: no

Package: fonts-cascadia-code
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: monospaced font designed to enhance appearance of Windows Terminal
 Cascadia Code is a monospaced font shipped by Microsoft. It includes
 programming ligatures and is intended for use in terminal applications
 as well as text editors.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYTHONPATH=debian/embedded/
PYTHON3=python3

%:
	dh $@

override_dh_auto_build:
	$(PYTHON3) build.py

## fonts-cascadia-code 2005.15

=== requirements.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 appdirs==1.4.3            # via fs
 attrs==19.1.0             # via fontmake, ufolib2
 booleanoperations==0.8.2  # via fontmake, ufo2ft
+Brotli==1.0.7             # for WOFF2 generation
 compreffor==0.4.6.post1   # via ufo2ft
 cu2qu==1.6.6              # via fontmake, ufo2ft
 defcon[lxml]==0.6.0       # via fontmake, glyphslib, mutatormath, ufo2ft
@@ -18,6 +19,7 @@
 glyphslib==5.0.1          # via fontmake
 lxml==4.4.1               # via fonttools
 mutatormath==2.1.2        # via fontmake
+psautohint==2.0.1         # for OTF generation
 pyclipper==1.1.0.post1    # via booleanoperations
 pyparsing==2.4.2
 pytz==2019.2              # via fs

=== debian/changelog ===
fonts-cascadia-code (2005.15-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 27 May 2020 09:20:09 +0200

## fonts-cascadia-code 2102.03

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file=requirements.txt requirements.in
#
appdirs==1.4.4
    # via fs
attrs==20.2.0
    # via
    #   cattrs
    #   fontmake
    #   statmake
    #   ufolib2
booleanoperations==0.9.0
    # via
    #   fontmake
    #   ufo2ft
brotli==1.0.9
    # via fonttools
cattrs==1.0.0
    # via statmake
cffsubr==0.2.7
    # via ufo2ft
compreffor==0.5.0
    # via ufo2ft
cu2qu==1.6.7
    # via
    #   fontmake
    #   ufo2ft
fontmake==2.2.1
    # via -r requirements.in
fontmath==0.6.0
    # via fontmake
fonttools[lxml,ufo,unicode,woff]==4.15.0
    # via
    #   -r requirements.in
    #   booleanoperations
    #   cffsubr
    #   compreffor
    #   cu2qu
    #   fontmake
    #   fontmath
    #   glyphslib
    #   psautohint
    #   statmake
    #   ufo2ft
    #   ufolib2
    #   vttlib
    #   vttmisc
fs==2.4.11
    # via fonttools
glyphslib==5.2.0
    # via fontmake
lxml==4.6.2
    # via fonttools
psautohint==2.1.0
    # via -r requirements.in
pyclipper==1.2.0
    # via booleanoperations
pyparsing==2.4.7
    # via vttlib
pytz==2020.1
    # via fs
six==1.15.0
    # via fs
skia-pathops==0.4.1
    # via -r requirements.in
statmake==0.3.0
    # via -r requirements.in
ufo2ft[cffsubr]==2.16.0
    # via fontmake
ufolib2==0.8.0
    # via
    #   fontmake
    #   glyphslib
    #   vttlib
vttlib==0.9.1.post2
    # via -r requirements.in
vttmisc==0.0.2
    # via -r requirements.in
zopfli==0.1.7
    # via fonttools

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
fonts-cascadia-code (2102.03-1) unstable; urgency=medium

  * New upstream version 2102.03
  * Import statmake-0.3.0 to debian/embedded.
  * Import cattr 1.2.0 to debian/embedded.
  * Import vttmisc 2d06155 to debian/embedded.
  * Remove the embedded vttlib.
  * Add the newly introduced Build-Deps.
  * Update installation path.

 -- Mo Zhou <lumin@debian.org>  Wed, 17 Feb 2021 15:12:54 +0800

fonts-cascadia-code (2009.14-1) unstable; urgency=medium

  * New upstream version.
  * d/clean: added to clean up generated pyc files.
  * Bump debhelper version to 13.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 21 Sep 2020 10:02:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>,
            Mo Zhou <lumin@debian.org>,
-Build-Depends: debhelper-compat (= 12), fontmake, python3, python3-pyparsing,
+Build-Depends: debhelper-compat (= 13), fontmake, python3, python3-pyparsing,
+ python3-psautohint, python3-cffsubr, python3-vttlib,
 Standards-Version: 4.5.0
 Homepage: https://github.com/microsoft/cascadia-code
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-cascadia-code

## fonts-cascadia-code 2111.01

=== debian/changelog ===
fonts-cascadia-code (2111.01-0deepin) unstable; urgency=medium

  * new package

 -- chenchongbiao <chenchongbiao@deepin.org>  Mon, 17 Apr 2023 20:20:18 +0800

=== debian/control ===
Source:fonts-cascadia-code
Priority: optional
Section: fonts
Maintainer: chenchongbiao <chenchongbiao@deepin.org>
Build-Depends: debhelper-compat (=13),
Standards-Version: 4.6.2
Homepage: https://www.deepin.org
Vcs-Browser: https://github.com/deepin-community/fonts-cascadia-code


Package: fonts-cascadia-code
Architecture: all
Depends: ${misc:Depends}
Description: Cascadia Code font
 Cascadia is a fun new coding font that comes bundled with Windows Terminal.

## fonts-cascadia-code 2404.23+ds

=== debian/changelog ===
fonts-cascadia-code (2404.23+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version, switch temporarily to pre built fonts, as
    previous and current sources are unbuildable. (Closes: #997317)
    (LP: #2064366)
  * d/control:
    - Bump standards version to 4.7.0.
    - Drop myself from Uploarders.
  * d/copyright:
    - bump years.
    - Add Files-Excluded.
  * d/rules: temporarily disable build.

 -- Alex Myczko <tar@debian.org>  Sun, 21 Jul 2024 18:18:03 +0000

=== debian/control ===
Source: fonts-cascadia-code
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
Build-Depends: debhelper-compat (= 13),
 fontmake,
 python3,
 python3-pyparsing,
 python3-psautohint,
 python3-cffsubr,
 python3-vttlib,
Standards-Version: 4.7.0
Homepage: https://github.com/microsoft/cascadia-code
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-cascadia-code
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-cascadia-code.git
Rules-Requires-Root: no

Package: fonts-cascadia-code
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: monospaced font designed to enhance appearance of Windows Terminal
 Cascadia Code is a monospaced font shipped by Microsoft. It includes
 programming ligatures and is intended for use in terminal applications
 as well as text editors.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

#export PYTHONPATH=debian/embedded/
#PYTHON3=python3

%:
	dh $@

#override_dh_auto_build:
#	$(PYTHON3) build.py

## fonts-cascadia-code 2407.24

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile
#
absl-py==2.1.0
    # via
    #   gftools
    #   nanoemoji
    #   picosvg
afdko==4.0.1
    # via gftools
appdirs==1.4.4
    # via fs
attrs==23.2.0
    # via
    #   cattrs
    #   statmake
    #   ufolib2
axisregistry==0.4.9
    # via gftools
babelfont==3.0.4
    # via gftools
beautifulsoup4==4.12.3
    # via gftools
booleanoperations==0.9.0
    # via
    #   afdko
    #   fontparts
    #   ufo2ft
brotli==1.1.0
    # via
    #   fonttools
    #   gftools
bump2version==1.0.1
    # via bumpfontversion
bumpfontversion==0.4.1
    # via gftools
cattrs==23.2.3
    # via
    #   statmake
    #   ufolib2
certifi==2024.2.2
    # via requests
cffi==1.16.0
    # via
    #   cryptography
    #   pygit2
    #   pynacl
cffsubr==0.3.0
    # via ufo2ft
charset-normalizer==3.3.2
    # via requests
click==8.1.7
    # via hyperglot
colorlog==6.8.2
    # via hyperglot
compreffor==0.5.5
    # via ufo2ft
cryptography==42.0.5
    # via pyjwt
defcon[lxml,pens]==0.10.3
    # via
    #   afdko
    #   fontparts
    #   glyphsets
    #   mutatormath
    #   ufoprocessor
deprecated==1.2.14
    # via pygithub
font-v==2.1.0
    # via gftools
fontfeatures==1.8.0
    # via
    #   babelfont
    #   gftools
fontmake[json]==3.9.0
    # via
    #   -r requirements.in
    #   gftools
fontmath==0.9.3
    # via
    #   afdko
    #   fontmake
    #   fontparts
    #   mutatormath
    #   ufo2ft
    #   ufoprocessor
fontparts==0.12.1
    # via ufoprocessor
fontpens==0.2.4
    # via defcon
fonttools[lxml,ufo,unicode,woff]==4.51.0
    # via
    #   -r requirements.in
    #   afdko
    #   axisregistry
    #   babelfont
    #   booleanoperations
    #   bumpfontversion
    #   cffsubr
    #   compreffor
    #   defcon
    #   font-v
    #   fontfeatures
    #   fontmake
    #   fontmath
    #   fontparts
    #   fontpens
    #   gftools
    #   glyphsets
    #   glyphslib
    #   hyperglot
    #   mutatormath
    #   nanoemoji
    #   psautohint
    #   statmake
    #   ufo2ft
    #   ufolib2
    #   ufoprocessor
    #   vttlib
    #   vttmisc
fs==2.4.16
    # via
    #   fontfeatures
    #   fonttools
gflanguages==0.5.17
    # via
    #   gftools
    #   glyphsets
gfsubsets==2024.2.5
    # via gftools
gftools==0.9.54
    # via -r requirements.in
gitdb==4.0.11
    # via gitpython
gitpython==3.1.43
    # via font-v
glyphsets==0.6.19
    # via gftools
glyphslib==6.7.0
    # via
    #   babelfont
    #   bumpfontversion
    #   fontmake
    #   gftools
    #   glyphsets
hyperglot==0.6.2
    # via gftools
idna==3.7
    # via requests
importlib-resources==6.4.0
    # via gfsubsets
jinja2==3.1.3
    # via gftools
lxml==5.2.1
    # via
    #   afdko
    #   fontfeatures
    #   fonttools
    #   nanoemoji
    #   picosvg
markdown-it-py==3.0.0
    # via rich
markupsafe==2.1.5
    # via jinja2
mdurl==0.1.2
    # via markdown-it-py
mutatormath==3.0.1
    # via ufoprocessor
nanoemoji==0.15.1
    # via gftools
networkx==3.3
    # via gftools
ninja==1.11.1.1
    # via
    #   gftools
    #   nanoemoji
openstep-plist==0.3.1
    # via
    #   babelfont
    #   bumpfontversion
    #   glyphslib
opentype-sanitizer==9.1.0
    # via gftools
orjson==3.10.1
    # via
    #   babelfont
    #   ufolib2
packaging==24.0
    # via gftools
picosvg==0.22.1
    # via nanoemoji
pillow==10.3.0
    # via
    #   gftools
    #   nanoemoji
pngquant-cli==2.17.0.post5
    # via nanoemoji
protobuf==3.20.3
    # via
    #   axisregistry
    #   gflanguages
    #   gftools
psautohint==2.4.0
    # via -r requirements.in
pyclipper==1.3.0.post5
    # via booleanoperations
pycparser==2.22
    # via cffi
pygit2==1.14.1
    # via gftools
pygithub==2.3.0
    # via gftools
pygments==2.17.2
    # via rich
pyjwt[crypto]==2.8.0
    # via pygithub
pynacl==1.5.0
    # via pygithub
pyparsing==3.1.2
    # via vttlib
python-dateutil==2.9.0.post0
    # via strictyaml
pyyaml==6.0.1
    # via
    #   gftools
    #   glyphsets
    #   hyperglot
regex==2024.4.16
    # via nanoemoji
requests==2.31.0
    # via
    #   gftools
    #   glyphsets
    #   pygithub
resvg-cli==0.22.0.post3
    # via nanoemoji
rich==13.7.1
    # via gftools
six==1.16.0
    # via
    #   fs
    #   python-dateutil
skia-pathops==0.8.0.post1
    # via
    #   -r requirements.in
    #   gftools
    #   picosvg
smmap==5.0.1
    # via gitdb
soupsieve==2.5
    # via beautifulsoup4
statmake==0.6.0
    # via gftools
strictyaml==1.7.3
    # via gftools
tabulate==0.9.0
    # via gftools
toml==0.10.2
    # via nanoemoji
tqdm==4.66.2
    # via afdko
ttfautohint-py==0.5.1
    # via gftools
typing-extensions==4.11.0
    # via pygithub
ufo2ft[cffsubr,compreffor]==3.2.1
    # via
    #   fontmake
    #   nanoemoji
ufolib2[json]==0.16.0
    # via
    #   babelfont
    #   bumpfontversion
    #   fontmake
    #   glyphslib
    #   nanoemoji
    #   vttlib
ufonormalizer==0.6.1
    # via afdko
ufoprocessor==1.9.0
    # via afdko
uharfbuzz==0.39.1
    # via
    #   hyperglot
    #   vharfbuzz
unicodedata2==15.1.0
    # via
    #   fonttools
    #   glyphsets
    #   hyperglot
unidecode==1.3.8
    # via gftools
urllib3==2.2.1
    # via
    #   pygithub
    #   requests
vharfbuzz==0.3.0
    # via gftools
vttlib==0.12.0
    # via
    #   -r requirements.in
    #   gftools
vttmisc==0.0.5
    # via -r requirements.in
wrapt==1.16.0
    # via deprecated
zopfli==0.2.3
    # via
    #   fonttools
    #   nanoemoji

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
fonts-cascadia-code (2407.24-3) unstable; urgency=medium

  * Team upload
  * Use packaged vttmisc (Closes: #1111014)

 -- Bastian Germann <bage@debian.org>  Wed, 24 Sep 2025 01:49:37 +0200

fonts-cascadia-code (2407.24-2) unstable; urgency=medium

  * Team upload
  * Use packaged cattr
  * Use packaged statmake
  * Use packaged gftools
  * Use packaged axisregistry

 -- Bastian Germann <bage@debian.org>  Wed, 13 Aug 2025 17:48:23 +0200

fonts-cascadia-code (2407.24-1) unstable; urgency=medium

  * New upstream version 2407.24
  * Embed axisregistry and gftools to make building the font from source
    possible again. (Closes: #1077328)
  * d/copyright: update for newly embedded source.

 -- Mo Zhou <lumin@debian.org>  Thu, 26 Dec 2024 01:06:39 -0500

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,23 @@
 Uploaders: Mo Zhou <lumin@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  fontmake,
+ gftools,
  python3,
+ python3-axisregistry,
+ python3-bs4,
+ python3-cattr,
+ python3-cffsubr,
+ python3-gflanguages,
+ python3-protobuf,
+ python3-psautohint,
  python3-pyparsing,
- python3-psautohint,
- python3-cffsubr,
+ python3-requests,
+ python3-statmake,
+ python3-ufo2ft,
+ python3-unidecode,
  python3-vttlib,
+ python3-vttmisc,
+ python3-yaml,
 Standards-Version: 4.7.0
 Homepage: https://github.com/microsoft/cascadia-code
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-cascadia-code

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

PYTHON3=python3

%:
	dh $@

override_dh_auto_build:
	$(PYTHON3) build.py

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cascadia-code-$1.tar.gz%" \
   https://github.com/microsoft/cascadia-code/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
